Bug 139979 - Amarok should mount USB mass storage player when doing Connect
Summary: Amarok should mount USB mass storage player when doing Connect
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Collections/USB mass storage and MSC (show other bugs)
Version: 2.3-GIT
Platform: Mandriva RPMs Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-12 17:45 UTC by FACORAT Fabrice
Modified: 2011-12-20 11:41 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FACORAT Fabrice 2007-01-12 17:45:06 UTC
Version:            (using KDE KDE 3.5.5)
Installed from:    Mandriva RPMs
OS:                Linux

I noticed that when using a USB Mass storage mp3 player, when doing connect, Amarok will not mount automatically the device. You need to mount the device first and then doing connect.
IMHO this is a nonsense.
When doing Connect, amarok should mount the device if this is a USB mass storage one by using kde mediamanager.

BTW connect and disconnect should be the same button ( the state/text change depending on the device state ). This will allow to display by default the tranfert icon for people having tiny screen.
Comment 1 Martin Aumueller 2007-01-28 01:05:15 UTC
Doesn't setting a pre-connect command (such as pmount %d) do the trick for you?
Comment 2 FACORAT Fabrice 2007-01-29 16:32:06 UTC
I will check. However why doing this kinds of things ? not everybody is using pmount ...
Normally the kde infrastructure to mount USB Mass storage devices should be enough.
Comment 3 Chris Peikert 2007-02-25 01:51:58 UTC
I agree with the submitter.  If I click "connect," and the device is plugged in, it should connect (especially if KDE supplies the infrastructure to do mounting).
Comment 4 FACORAT Fabrice 2007-03-23 17:14:14 UTC
just a reminder especially to avoid the same design issue in amarok 2.
Comment 5 Myriam Schweingruber 2009-08-03 18:07:23 UTC
(In reply to comment #4)
> just a reminder especially to avoid the same design issue in amarok 2.

without setting a version this will not show up...
Comment 6 Kuba Serafinowski 2009-09-25 18:00:48 UTC
fixed in 2.2, to be released in a few days